> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Live URLs



## OpenAPI

````yaml get /v1/sessions/{id}/debug
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/sessions/{id}/debug:
    get:
      summary: Session Live URLs
      operationId: Sessions_getDebug
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionLiveUrls'
components:
  schemas:
    SessionLiveUrls:
      type: object
      properties:
        debuggerFullscreenUrl:
          type: string
          format: uri
        debuggerUrl:
          type: string
          format: uri
        pages:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              url:
                type: string
                format: uri
              faviconUrl:
                type: string
                format: uri
              title:
                type: string
              debuggerUrl:
                type: string
                format: uri
              debuggerFullscreenUrl:
                type: string
                format: uri
            required:
              - id
              - url
              - faviconUrl
              - title
              - debuggerUrl
              - debuggerFullscreenUrl
        wsUrl:
          type: string
          format: uri
      required:
        - debuggerFullscreenUrl
        - debuggerUrl
        - pages
        - wsUrl
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````